package com.ssj.service.conch.conch.service;

import com.ssj.bean.conch.conch.domain.ConchDerver;
import com.ssj.framework.core.common.service.BaseService;
import com.ssj.framework.core.util.ResponseEntity;

import java.util.Map;

/**
 * @author sh
 * @className ConchDerverService
 * @description TODO
 * @date 2020/7/13
 */
public interface ConchDerverService extends BaseService<ConchDerver, String> {
    ConchDerver getConchDerverByImei(String imei);

    Map<String,String> bindingVip(String vipId, String derver, String userId, String openId);

    /**
     * 查询贝壳绑定情况，>0绑定
     * @param derver
     * @param userId
     * @return
     * 创建人：ZhangCaibao
     * 2018年5月7日 下午9:35:24
     * @int
     */
    public String  findByDerverBinding(String derver, String userId);

    /**
     * 查询设备号
     * @param derver
     * @return
     * 创建人：ZhangCaibao
     * 2018年4月12日 上午10:38:06
     * @ConchDerver
     */
    public ConchDerver findByDerver(String derver);

    /**
     * @param derver 设备号
     * @return
     * 方法说明:
     * 创建时间:2019/6/21 13:49
     * @author yangcan
     */
    ResponseEntity untyingParents(String derver);

    ConchDerver findByUserId(String pushUserId);
}
